<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

//$zseries = "$_GET[series]";
//browse($zseries);

$keycond = "";
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

//$zroot = $_SESSION["zdbroot"];

$success = false;

$maindb = 'outmain';
$trandb = 'outtran';
//$trandb = 'estitran';
$file = 'outward.php';
$keyfld = "vouchno";

$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND c.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`type` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`remark` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND c.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`type` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`remark` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno` ";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY c.`name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`type`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`remark`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
} 
$query = "SELECT a.*, Date_Format(a.`vouchdt`, '%d/%m/%Y') as mydt, b.name as godown,c.name as togodownname FROM `$maindb` a, `godown` b, godown c where  a.godown=b.code and a.togodown = c.code
         $cond $keycond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";


//$query = "SELECT a.*, DATE_FORMAT(a.`vouchdt`, '%d/%m/%Y') as mydt, b.name as party FROM `inwmain` a left join `accmast` b on a.party = b.accode
//                  $cond $keycond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
//$query = "SELECT a.*, b.name FROM inwmain a left join accmast b on a.party = b.accode 
//          $cond $keycond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
               

$result = mysqli_query($conn, $query) or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_array($result)) {
    $type = $r['type'];
    if ($type == 'PU') {
        $ttype = 'Purchase';
    } elseif ($type == 'SR') {
        $ttype = 'Sale Return';
    } else {
        $ttype = 'Other';
    }
    $rows[] = ['success' => true,
        'value' => $ctr,
        'vouchno' => $r['vouchno'],
        'mydt' => $r['vouchdt'],
        'godown' => $r['godown'],
        'togodown' => $r['togodownname'],
        'remark' => $r['remark'] . ' ' . $r['remark2'],
        'action' => "$file?mode=edit&$keyfld=$r[vouchno]",
    ];
    $ctr++;
}
//browse($rows);
header("Content-type: application\json");
echo json_encode($rows);
